name: relatica
description: A mobile and desktop client for interacting with the Friendica social network

publish_to: 'none' # Remove this line if you wish to publish to pub.dev
version: 0.9.0

environment:
  sdk: '>=3.0.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter
  cached_network_image: ^3.2.2
  color_blindness: ^0.1.2
  cupertino_icons: ^1.0.2
  carousel_slider: ^4.2.1
  desktop_window: ^0.4.0
  device_info_plus: ^9.1.0
  device_preview: ^1.1.0
  file_picker: ^6.0.0
  flutter_dotenv: ^5.0.2
  flutter_file_dialog: ^3.0.0
  flutter_secure_storage: ^9.0.0
  flutter_web_auth_2: ^3.0.3
  flutter_widget_from_html_core: ^0.14.6
  get_it: ^7.2.0
  get_it_mixin: ^4.1.1
  go_router: ^12.0.1
  html: ^0.15.2
  image: ^4.0.15
  image_picker: ^1.0.4
  logging: ^1.1.0
  markdown: ^7.0.1
  media_kit: ^1.1.10                             # Primary package.
  media_kit_libs_video: ^1.0.4                   # Native video dependencies.
  media_kit_video: ^1.2.4                        # For video rendering.
  multi_trigger_autocomplete: ^1.0.0
  network_to_file_image: ^4.0.1
  objectbox: ^2.3.1
  objectbox_flutter_libs: ^2.3.1
  path: ^1.8.2
  path_provider: ^2.0.11
  provider: ^6.0.4
  result_monad:
    git:
      url: https://gitlab.com/HankG/dart-result-monad.git
  scrollable_positioned_list: ^0.3.5
  shared_preferences: ^2.0.15
  sqlite3: ^2.1.0
  stack_trace: ^1.11.0
  string_validator: ^1.0.2
  time_machine: ^0.9.17
  url_launcher: ^6.1.6
  uuid: ^4.1.0
  video_player: ^2.4.10
  flutter_svg: ^2.0.5
  image_gallery_saver: ^2.0.3


dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^3.0.0
  build_runner: ^2.3.3
  objectbox_generator: ^2.0.0

flutter:
  uses-material-design: true
  assets:
    - icon/relatica_logo.svg

parts:
  uet-lms:
    source: .
    plugin: flutter
    flutter-target: lib/main.dart
    build-packages:
      - libsecret-1-dev
      - libjsoncpp-dev
    stage-packages:
      - libsecret-1-0
      - libjsoncpp1
  # To add assets to your application, add an assets section, like this:
  # assets:
  #   - images/a_dot_burr.jpeg
  #   - images/a_dot_ham.jpeg

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages

